<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:18 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>LineShaderRenderer</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="LineShaderRenderer";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/LineShaderRenderer.html" target="_top">Frames</a></li>
<li><a href="LineShaderRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.playground.drawingar.rendering</div>
<h2 title="Class LineShaderRenderer" class="title">Class LineShaderRenderer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.playground.drawingar.rendering.LineShaderRenderer</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">LineShaderRenderer</span>
extends java.lang.Object</pre>
<div class="block">Визуализатор линий.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.concurrent.atomic.AtomicBoolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#bNeedsUpdate">bNeedsUpdate</a></span></code>
<div class="block">Необходимо обновление VBO.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#BYTES_PER_FLOAT">BYTES_PER_FLOAT</a></span></code>
<div class="block">Количество байт во float.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#BYTES_PER_POINT">BYTES_PER_POINT</a></span></code>
<div class="block">Количество байт на одну точку.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#FLOATS_PER_POINT">FLOATS_PER_POINT</a></span></code>
<div class="block">Количество компонент на одну точку.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mColorAddress">mColorAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mColorAttribute">mColorAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mColors">mColors</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mDrawDistance">mDrawDistance</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mDrawingDistUniform">mDrawingDistUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mEndCaps">mEndCaps</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mEndCapsAddress">mEndCapsAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mEndCapsAttribute">mEndCapsAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mEndCapTextureUniform">mEndCapTextureUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mFarUniform">mFarUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLengthAddress">mLengthAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLengths">mLengths</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLengthsAttribute">mLengthsAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLineDepthScale">mLineDepthScale</a></span></code>
<div class="block">Коэффициент глубины линии.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLineDepthScaleUniform">mLineDepthScaleUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mLineWidth">mLineWidth</a></span></code>
<div class="block">Толщина линии.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mModelMatrix">mModelMatrix</a></span></code>
<div class="block">Матрица вида.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mModelViewMatrix">mModelViewMatrix</a></span></code>
<div class="block">Матрица проекции.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mModelViewProjectionMatrix">mModelViewProjectionMatrix</a></span></code>
<div class="block">Матрица, получившаяся перемножением матрицы вида и проекции.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mModelViewUniform">mModelViewUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNearUniform">mNearUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNext">mNext</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNextAddress">mNextAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNextAttribute">mNextAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNumBytes">mNumBytes</a></span></code>
<div class="block">Количество байт, нужных для хранения геометрических данных.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mNumPoints">mNumPoints</a></span></code>
<div class="block">Количество точек.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPositionAddress">mPositionAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPositionAttribute">mPositionAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPositions">mPositions</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPrevious">mPrevious</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPreviousAddress">mPreviousAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mPreviousAttribute">mPreviousAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mProgramName">mProgramName</a></span></code>
<div class="block">Объект шейдерой программы.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mProjectionUniform">mProjectionUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mResolutionUniform">mResolutionUniform</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mSide">mSide</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mSideAddress">mSideAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mSideAttribute">mSideAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mVbo">mVbo</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mVboSize">mVboSize</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private float[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mWidth">mWidth</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mWidthAddress">mWidthAddress</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#mWidthAttribute">mWidthAttribute</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#TAG">TAG</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#textures">textures</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#LineShaderRenderer--">LineShaderRenderer</a></span>()</code>
<div class="block">Конструктор - создание нового объекта для визуалицации линии.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#addLine-com.playground.drawingar.model.Stroke-int-">addLine</a></span>(<a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&nbsp;line,
       int&nbsp;offset)</code>
<div class="block">Добавляет геометрическую информацию в буферы в удобной
 для шейдера форме для правильной отрисовки линий.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#clear--">clear</a></span>()</code>
<div class="block">Заставляет визуализатор обновить VBO.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#clearGL--">clearGL</a></span>()</code>
<div class="block">Освободить ресурсы, необходимые OpenGL.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#createOnGlThread-android.content.Context-">createOnGlThread</a></span>(android.content.Context&nbsp;context)</code>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора линий.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#draw-float:A-float:A-float-float-float-float-">draw</a></span>(float[]&nbsp;cameraView,
    float[]&nbsp;cameraPerspective,
    float&nbsp;screenWidth,
    float&nbsp;screenHeight,
    float&nbsp;nearClip,
    float&nbsp;farClip)</code>
<div class="block">Рисует линии, запуская шейдерную программу.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#ensureCapacity-int-">ensureCapacity</a></span>(int&nbsp;numPoints)</code>
<div class="block">Обновляет размер буфера для геометрической информации, если это необходимо.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#setDistanceScale-float-">setDistanceScale</a></span>(float&nbsp;distanceScale)</code>
<div class="block">Устанавливает коэффициент глубины линии для лучшего отображения линии.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#setLineWidth-float-">setLineWidth</a></span>(float&nbsp;width)</code>
<div class="block">Устанавливает толщину линии.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#setMemory-int-javax.vecmath.Vector3f-javax.vecmath.Vector3f-javax.vecmath.Vector3f-float-int-float-float-float-">setMemory</a></span>(int&nbsp;index,
         javax.vecmath.Vector3f&nbsp;pos,
         javax.vecmath.Vector3f&nbsp;prev,
         javax.vecmath.Vector3f&nbsp;next,
         float&nbsp;width,
         int&nbsp;color,
         float&nbsp;side,
         float&nbsp;length,
         float&nbsp;endCapPosition)</code>
<div class="block">Вносит геометрическую информации в буферы.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private java.nio.FloatBuffer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#toFloatBuffer-float:A-">toFloatBuffer</a></span>(float[]&nbsp;data)</code>
<div class="block">Переводит геометрические данные из массива в <code>FloatBuffer</code>.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#updateStrokes-java.util.List-">updateStrokes</a></span>(java.util.List&lt;<a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&gt;&nbsp;strokes)</code>
<div class="block">Обновляет геометрическую информацию, необходимой для отрисовки.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/playground/drawingar/rendering/LineShaderRenderer.html#upload--">upload</a></span>()</code>
<div class="block">Обновляет геометрическую информацию в VBO.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TAG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TAG</h4>
<pre>private static final&nbsp;java.lang.String TAG</pre>
</li>
</ul>
<a name="FLOATS_PER_POINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOATS_PER_POINT</h4>
<pre>private static final&nbsp;int FLOATS_PER_POINT</pre>
<div class="block">Количество компонент на одну точку.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.LineShaderRenderer.FLOATS_PER_POINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTES_PER_FLOAT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTES_PER_FLOAT</h4>
<pre>private static final&nbsp;int BYTES_PER_FLOAT</pre>
<div class="block">Количество байт во float.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.LineShaderRenderer.BYTES_PER_FLOAT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BYTES_PER_POINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BYTES_PER_POINT</h4>
<pre>private static final&nbsp;int BYTES_PER_POINT</pre>
<div class="block">Количество байт на одну точку.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#com.playground.drawingar.rendering.LineShaderRenderer.BYTES_PER_POINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="mModelMatrix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mModelMatrix</h4>
<pre>private&nbsp;float[] mModelMatrix</pre>
<div class="block">Матрица вида.</div>
</li>
</ul>
<a name="mModelViewMatrix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mModelViewMatrix</h4>
<pre>private&nbsp;float[] mModelViewMatrix</pre>
<div class="block">Матрица проекции.</div>
</li>
</ul>
<a name="mModelViewProjectionMatrix">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mModelViewProjectionMatrix</h4>
<pre>private&nbsp;float[] mModelViewProjectionMatrix</pre>
<div class="block">Матрица, получившаяся перемножением матрицы вида и проекции.</div>
</li>
</ul>
<a name="mPositionAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPositionAttribute</h4>
<pre>private&nbsp;int mPositionAttribute</pre>
</li>
</ul>
<a name="mPreviousAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPreviousAttribute</h4>
<pre>private&nbsp;int mPreviousAttribute</pre>
</li>
</ul>
<a name="mNextAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNextAttribute</h4>
<pre>private&nbsp;int mNextAttribute</pre>
</li>
</ul>
<a name="mSideAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSideAttribute</h4>
<pre>private&nbsp;int mSideAttribute</pre>
</li>
</ul>
<a name="mWidthAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mWidthAttribute</h4>
<pre>private&nbsp;int mWidthAttribute</pre>
</li>
</ul>
<a name="mColorAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mColorAttribute</h4>
<pre>private&nbsp;int mColorAttribute</pre>
</li>
</ul>
<a name="mLengthsAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLengthsAttribute</h4>
<pre>private&nbsp;int mLengthsAttribute</pre>
</li>
</ul>
<a name="mEndCapsAttribute">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mEndCapsAttribute</h4>
<pre>private&nbsp;int mEndCapsAttribute</pre>
</li>
</ul>
<a name="textures">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>textures</h4>
<pre>private final&nbsp;int[] textures</pre>
</li>
</ul>
<a name="mEndCapTextureUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mEndCapTextureUniform</h4>
<pre>private&nbsp;int mEndCapTextureUniform</pre>
</li>
</ul>
<a name="mProjectionUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mProjectionUniform</h4>
<pre>private&nbsp;int mProjectionUniform</pre>
</li>
</ul>
<a name="mModelViewUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mModelViewUniform</h4>
<pre>private&nbsp;int mModelViewUniform</pre>
</li>
</ul>
<a name="mResolutionUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mResolutionUniform</h4>
<pre>private&nbsp;int mResolutionUniform</pre>
</li>
</ul>
<a name="mNearUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNearUniform</h4>
<pre>private&nbsp;int mNearUniform</pre>
</li>
</ul>
<a name="mFarUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mFarUniform</h4>
<pre>private&nbsp;int mFarUniform</pre>
</li>
</ul>
<a name="mDrawingDistUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mDrawingDistUniform</h4>
<pre>private&nbsp;int mDrawingDistUniform</pre>
</li>
</ul>
<a name="mLineDepthScaleUniform">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLineDepthScaleUniform</h4>
<pre>private&nbsp;int mLineDepthScaleUniform</pre>
</li>
</ul>
<a name="mPositions">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPositions</h4>
<pre>private&nbsp;float[] mPositions</pre>
</li>
</ul>
<a name="mNext">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNext</h4>
<pre>private&nbsp;float[] mNext</pre>
</li>
</ul>
<a name="mSide">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSide</h4>
<pre>private&nbsp;float[] mSide</pre>
</li>
</ul>
<a name="mWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mWidth</h4>
<pre>private&nbsp;float[] mWidth</pre>
</li>
</ul>
<a name="mColors">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mColors</h4>
<pre>private&nbsp;float[] mColors</pre>
</li>
</ul>
<a name="mPrevious">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPrevious</h4>
<pre>private&nbsp;float[] mPrevious</pre>
</li>
</ul>
<a name="mLengths">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLengths</h4>
<pre>private&nbsp;float[] mLengths</pre>
</li>
</ul>
<a name="mEndCaps">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mEndCaps</h4>
<pre>private&nbsp;float[] mEndCaps</pre>
</li>
</ul>
<a name="mPositionAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPositionAddress</h4>
<pre>private&nbsp;int mPositionAddress</pre>
</li>
</ul>
<a name="mPreviousAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mPreviousAddress</h4>
<pre>private&nbsp;int mPreviousAddress</pre>
</li>
</ul>
<a name="mNextAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNextAddress</h4>
<pre>private&nbsp;int mNextAddress</pre>
</li>
</ul>
<a name="mSideAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mSideAddress</h4>
<pre>private&nbsp;int mSideAddress</pre>
</li>
</ul>
<a name="mWidthAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mWidthAddress</h4>
<pre>private&nbsp;int mWidthAddress</pre>
</li>
</ul>
<a name="mColorAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mColorAddress</h4>
<pre>private&nbsp;int mColorAddress</pre>
</li>
</ul>
<a name="mLengthAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLengthAddress</h4>
<pre>private&nbsp;int mLengthAddress</pre>
</li>
</ul>
<a name="mEndCapsAddress">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mEndCapsAddress</h4>
<pre>private&nbsp;int mEndCapsAddress</pre>
</li>
</ul>
<a name="mNumBytes">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mNumBytes</h4>
<pre>private&nbsp;int mNumBytes</pre>
<div class="block">Количество байт, нужных для хранения геометрических данных.</div>
</li>
</ul>
<a name="mVbo">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mVbo</h4>
<pre>private&nbsp;int mVbo</pre>
</li>
</ul>
<a name="mVboSize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mVboSize</h4>
<pre>private&nbsp;int mVboSize</pre>
</li>
</ul>
<a name="mProgramName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mProgramName</h4>
<pre>private&nbsp;int mProgramName</pre>
<div class="block">Объект шейдерой программы.</div>
</li>
</ul>
<a name="mLineWidth">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLineWidth</h4>
<pre>private&nbsp;float mLineWidth</pre>
<div class="block">Толщина линии.</div>
</li>
</ul>
<a name="bNeedsUpdate">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bNeedsUpdate</h4>
<pre>public&nbsp;java.util.concurrent.atomic.AtomicBoolean bNeedsUpdate</pre>
<div class="block">Необходимо обновление VBO.</div>
</li>
</ul>
<a name="mLineDepthScale">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mLineDepthScale</h4>
<pre>private&nbsp;float mLineDepthScale</pre>
<div class="block">Коэффициент глубины линии.</div>
</li>
</ul>
<a name="mDrawDistance">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mDrawDistance</h4>
<pre>public&nbsp;float mDrawDistance</pre>
</li>
</ul>
<a name="mNumPoints">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mNumPoints</h4>
<pre>public&nbsp;int mNumPoints</pre>
<div class="block">Количество точек.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="LineShaderRenderer--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>LineShaderRenderer</h4>
<pre>public&nbsp;LineShaderRenderer()</pre>
<div class="block">Конструктор - создание нового объекта для визуалицации линии.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createOnGlThread-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOnGlThread</h4>
<pre>public&nbsp;void&nbsp;createOnGlThread(android.content.Context&nbsp;context)
                      throws java.io.IOException</pre>
<div class="block">Выделяет и инициализирует ресурсы OpenGL, необходимые для визуализатора линий.
 Должен быть вызван в потоке GL, а именно в
 <code>GLSurfaceView.Renderer#onSurfaceCreated(GL10, EGLConfig)</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>context</code> - Нужен для доступа к шейдеру.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code> - Исключение ввода/вывода.</dd>
</dl>
</li>
</ul>
<a name="clearGL--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearGL</h4>
<pre>public&nbsp;void&nbsp;clearGL()</pre>
<div class="block">Освободить ресурсы, необходимые OpenGL.</div>
</li>
</ul>
<a name="setLineWidth-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLineWidth</h4>
<pre>public&nbsp;void&nbsp;setLineWidth(float&nbsp;width)</pre>
<div class="block">Устанавливает толщину линии.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - Толщина линии.</dd>
</dl>
</li>
</ul>
<a name="setDistanceScale-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDistanceScale</h4>
<pre>public&nbsp;void&nbsp;setDistanceScale(float&nbsp;distanceScale)</pre>
<div class="block">Устанавливает коэффициент глубины линии для лучшего отображения линии.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>distanceScale</code> - Коэффициент глубины линии.</dd>
</dl>
</li>
</ul>
<a name="updateStrokes-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateStrokes</h4>
<pre>public&nbsp;void&nbsp;updateStrokes(java.util.List&lt;<a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&gt;&nbsp;strokes)</pre>
<div class="block">Обновляет геометрическую информацию, необходимой для отрисовки.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strokes</code> - Список линий.</dd>
</dl>
</li>
</ul>
<a name="ensureCapacity-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ensureCapacity</h4>
<pre>private&nbsp;void&nbsp;ensureCapacity(int&nbsp;numPoints)</pre>
<div class="block">Обновляет размер буфера для геометрической информации, если это необходимо.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>numPoints</code> - Количество точек.</dd>
</dl>
</li>
</ul>
<a name="addLine-com.playground.drawingar.model.Stroke-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addLine</h4>
<pre>private&nbsp;int&nbsp;addLine(<a href="../../../../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a>&nbsp;line,
                    int&nbsp;offset)</pre>
<div class="block">Добавляет геометрическую информацию в буферы в удобной
 для шейдера форме для правильной отрисовки линий.</div>
</li>
</ul>
<a name="setMemory-int-javax.vecmath.Vector3f-javax.vecmath.Vector3f-javax.vecmath.Vector3f-float-int-float-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMemory</h4>
<pre>private&nbsp;void&nbsp;setMemory(int&nbsp;index,
                       javax.vecmath.Vector3f&nbsp;pos,
                       javax.vecmath.Vector3f&nbsp;prev,
                       javax.vecmath.Vector3f&nbsp;next,
                       float&nbsp;width,
                       int&nbsp;color,
                       float&nbsp;side,
                       float&nbsp;length,
                       float&nbsp;endCapPosition)</pre>
<div class="block">Вносит геометрическую информации в буферы.</div>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Заставляет визуализатор обновить VBO.</div>
</li>
</ul>
<a name="upload--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upload</h4>
<pre>public&nbsp;void&nbsp;upload()</pre>
<div class="block">Обновляет геометрическую информацию в VBO.</div>
</li>
</ul>
<a name="draw-float:A-float:A-float-float-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>draw</h4>
<pre>public&nbsp;void&nbsp;draw(float[]&nbsp;cameraView,
                 float[]&nbsp;cameraPerspective,
                 float&nbsp;screenWidth,
                 float&nbsp;screenHeight,
                 float&nbsp;nearClip,
                 float&nbsp;farClip)</pre>
<div class="block">Рисует линии, запуская шейдерную программу.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>cameraView</code> - Матрица вида.</dd>
<dd><code>cameraPerspective</code> - Матрица проекции.</dd>
<dd><code>screenWidth</code> - Ширина экрана.</dd>
<dd><code>screenHeight</code> - Высота экрана.</dd>
<dd><code>nearClip</code> - Ближайшая секущая поверхность.</dd>
<dd><code>farClip</code> - Дальняя секущая поверхность.</dd>
</dl>
</li>
</ul>
<a name="toFloatBuffer-float:A-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toFloatBuffer</h4>
<pre>private&nbsp;java.nio.FloatBuffer&nbsp;toFloatBuffer(float[]&nbsp;data)</pre>
<div class="block">Переводит геометрические данные из массива в <code>FloatBuffer</code>.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/playground/drawingar/rendering/LineShaderRenderer.html" target="_top">Frames</a></li>
<li><a href="LineShaderRenderer.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
